local E, L, V, P, G = unpack(ElvUI);
local mPlugin = "mMediaTag"
local mMT = E:GetModule(mPlugin);
local addon, ns = ...

--Lua functions
local mInsert = table.insert

local function OptionsBaground()
	E.Options.args.mMediaTag.args.chatbaground.args = {
		chatdescription1 = {
			order = 1,
			type = "description",
			name = L["Chath backgrounds, copy the path from the input fields to the chat settings to use the backgrounds."],
		},
		chatdescription2 = {
			order = 2,
			type = "description",
			name = "\n\n\n",
		},
		chat1 = {
			order = 3,
			name = "mChat1.1",
			type = 'input',
			width = 'full',
			get = function() return "Interface\\Addons\\ElvUI_mMediaTag\\media\\textures\\Chat\\mChat1.1.tga" end,
		},
		chat2 = {
			order = 4,
			name = "mChat1.2",
			type = 'input',
			width = 'full',
			get = function() return "Interface\\Addons\\ElvUI_mMediaTag\\media\\textures\\Chat\\mChat1.2.tga" end,
		},
		chat3 = {
			order = 5,
			name = "mChat2.1",
			type = 'input',
			width = 'full',
			get = function() return "Interface\\Addons\\ElvUI_mMediaTag\\media\\textures\\Chat\\mChat2.1.tga" end,
		},
		chat4 = {
			order = 6,
			name = "mChat2.2",
			type = 'input',
			width = 'full',
			get = function() return "Interface\\Addons\\ElvUI_mMediaTag\\media\\textures\\Chat\\mChat2.2.tga" end,
		},
		chat5 = {
			order = 7,
			name = "mChat3.1",
			type = 'input',
			width = 'full',
			get = function() return "Interface\\Addons\\ElvUI_mMediaTag\\media\\textures\\Chat\\mChat3.1.tga" end,
		},
		chat6 = {
			order = 8,
			name = "mChat3.2",
			type = 'input',
			width = 'full',
			get = function() return "Interface\\Addons\\ElvUI_mMediaTag\\media\\textures\\Chat\\mChat3.2.tga" end,
		},
		chat7 = {
			order = 9,
			name = "mChat4.1",
			type = 'input',
			width = 'full',
			get = function() return "Interface\\Addons\\ElvUI_mMediaTag\\media\\textures\\Chat\\mChat4.1.tga" end,
		},
		chat8 = {
			order = 10,
			name = "mChat4.2",
			type = 'input',
			width = 'full',
			get = function() return "Interface\\Addons\\ElvUI_mMediaTag\\media\\textures\\Chat\\mChat4.2.tga" end,
		},
		chat9 = {
			order = 11,
			name = "mChat5.1",
			type = 'input',
			width = 'full',
			get = function() return "Interface\\Addons\\ElvUI_mMediaTag\\media\\textures\\Chat\\mChat5.1.tga" end,
		},
		chat10 = {
			order = 12,
			name = "mChat5.2",
			type = 'input',
			width = 'full',
			get = function() return "Interface\\Addons\\ElvUI_mMediaTag\\media\\textures\\Chat\\mChat5.2.tga" end,
		},
		chat11 = {
			order = 13,
			name = "mChat6.1",
			type = 'input',
			width = 'full',
			get = function() return "Interface\\Addons\\ElvUI_mMediaTag\\media\\textures\\Chat\\mChat6.1.tga" end,
		},
		chat12 = {
			order = 14,
			name = "mChat6.2",
			type = 'input',
			width = 'full',
			get = function() return "Interface\\Addons\\ElvUI_mMediaTag\\media\\textures\\Chat\\mChat6.2.tga" end,
		},
		chat13 = {
			order = 15,
			name = "mChat7.1",
			type = 'input',
			width = 'full',
			get = function() return "Interface\\Addons\\ElvUI_mMediaTag\\media\\textures\\Chat\\mChat7.1.tga" end,
		},
		chat14 = {
			order = 16,
			name = "mChat7.2",
			type = 'input',
			width = 'full',
			get = function() return "Interface\\Addons\\ElvUI_mMediaTag\\media\\textures\\Chat\\mChat7.2.tga" end,
		},
		chat15 = {
			order = 17,
			name = "mChat8",
			type = 'input',
			width = 'full',
			get = function() return "Interface\\Addons\\ElvUI_mMediaTag\\media\\textures\\Chat\\mChat8.tga" end,
		},
		chat16 = {
			order = 18,
			name = "mChat9",
			type = 'input',
			width = 'full',
			get = function() return "Interface\\Addons\\ElvUI_mMediaTag\\media\\textures\\Chat\\mChat9.tga" end,
		},
		chat17 = {
			order = 19,
			name = "mChat10",
			type = 'input',
			width = 'full',
			get = function() return "Interface\\Addons\\ElvUI_mMediaTag\\media\\textures\\Chat\\mChat10.tga" end,
		},
	}
end

mInsert(ns.Config, OptionsBaground)